
## Hierarchical Representations with Discriminative Meta-ﬁlters in Dual Path Network for Tracking ⋆

###The toolkit contains the implementation of the DPMF tracker.  

to create environment: run install.sh

our models can be downloaded from BaiduNetdisk:

https://pan.baidu.com/s/1Kyqdlhn0xJTp1pZDipPxBg

extraction code: sdml

two model files should be put on ''DPMF/pytracking/networks'

and please specify the networks path in 

'DPMF/pytracking/evaluation/local.py'

our tracker is implemented on GeForce 1080ti in Pytorch.

If you want to test trackers on vot2018 or vot2019 benchmark, please
modify the dataset path in run_test.py.

###The pipeline of tracker is as follows:

We propose a Dual Path Network with Dicriminative Meta-filters
to fully utilize the hierarchical deep feaures. 
We design Geometrically Sensitivity Pathway(GESP) and 
Geographical Sensitivity Pathway(GASP) for target classiﬁcation 
and scale eststimation subtask. Geographical Sensitivity Pathway
(GASP) mainly includes powerful discriminative meta-filters to 
find coarce location of target. 
Geometrically Sensitivity Pathway(GESP) can refine region of 
interests online and adapt the appearance model to the target 
fastly. Specifically, our Dual Path Network combine online and 
offline together. Meta-filters are trained offline to gain
meta-knowledge of similiar tracking scenes and optimized 
during online traning. Online refinement strategies are
also embedded in fully offline trained Geometrically Sensitivity
Pathway(GESP) Network. We also propose three suggestions on 
deigning modern trakcer. Our tracking approach sets a new 
state-of-the-art on VOT2018 benchmark, achieving expected average
overlap(EAO) of 0.467. 
![](./pictures/all.png)

![](./pictures/meta-filter.png)
